# Merchant Batch Bank Transfer

Initiate multiple bank transfers in a single batch.

* **Endpoint**: `POST {{base-url}}/transfer/bank/batch`
* **Headers**:

  ```json
  {
    "X-Access-Token": "{{access-token}}",
    "X-Refresh-Token": "{{refresh-token}}"
  }
  ```
* **Body**:

  ```json
  [
    {
      "amount": 600,
      "sortCode": "000013",
      "narration": "Just kidding",
      "accountNumber": "0167421242",
      "accountName": "Obagunwa Emmanuel",
      "metadata": {"customer-data": "some customer details"}
    },
    {
      "amount": 300,
      "sortCode": "000013",
      "narration": "Just kidding",
      "accountNumber": "0167421242",
      "accountName": "Obagunwa Emmanuel",
      "metadata": {"customer-data": "some customer details"}
    }
  ]
  ```
* **Response**:
  * **200 OK**:

    ```json
    {
      "status": true,
      "message": "Transaction has been submitted."
    }
    ```
* **Sample Code (Dart)**:

  ```dart
  var headers = {
    'X-Access-Token': '{{access-token}}',
    'X-Refresh-Token': '{{refresh-token}}'
  };
  var request = http.Request('POST', Uri.parse('{{base-url}}/transfer/bank/batch'));
  request.body = '''[
    {
      "amount": 5000,
      "sortCode": "000013",
      "narration": "Just kidding",
      "accountNumber": "0167421242",
      "accountName": "Obagunwa Emmanuel",
      "metadata": {"customer-data": "some customer details"}
    },
    {
      "amount": 300,
      "sortCode": "000013",
      "narration": "Just kidding",
      "accountNumber": "0167421242",
      "accountName": "Obagunwa Emmanuel",
      "metadata": {"customer-data": "some customer details"}
    }
  ]''';
  request.headers.addAll(headers);
  http.StreamedResponse response = await request.send();
  if (response.statusCode == 200) {
    print(await response.stream.bytesToString());
  } else {
    print(response.reasonPhrase);
  }
  ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.providusbank.com/xpress-wallet-api/merchant/transfer/merchant-batch-bank-transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
